Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Class AbleEmptyListPredicate

    java.lang.Object
      com.ibm.able.data.AblePredicate
          com.ibm.able.data.AbleEmptyListPredicate

All Implemented Interfaces:
  java.io.Serializable

public class AbleEmptyListPredicate
extends AblePredicate
implements java.io.Serializable

This class represents an empty list predicate. That is, a predicate with name = '.' (period) and which contains no arguments (arity is 0). It is used in processing predicate lists.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.data.AblePredicate
`argList, arity, AssertAPredicate, AssertPredicate, AssertZPredicate, AtomCharsPredicate, AtomConcatPredicate, AtomLengthPredicate, AtomNumberPredicate, CallPredicate, ConsultPredicate, CutPredicate, DontCareSymbol, EmptyListPredicate, FailPredicate, FunctorPredicate, IsListPredicate, ListPredicate, MemberPredicate, myTracer, name, NonVarPredicate, NotPredicate, replacementVars, RetractAllPredicate, RetractPredicate, SubAtomPredicate, UnifyPredicate, UnivPredicate, variables, VarPredicate`

Constructor Summary
`AbleEmptyListPredicate(java.lang.String thePredicate)` Construct a predicate with name = '.' and which contains no arguments.

Methods inherited from class com.ibm.able.data.AblePredicate
`arlString, armlString, clearBindings, clearBindings, createMatchPredicate, equals, findAllVariables, getArgument, getArguments, getArity, getBoundVariables, getFunctor, getHead, getListArguments, getSignature, getStandardList, getTail, getTemplateString, getUnboundVariables, getVariables, hashCode, isBound, isCut, isEmptyList, isFail, isGround, isList, isMember, isNot, listToString, makeGround, toString, traceString, xmlCRdString, xmlString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleEmptyListPredicate

    public AbleEmptyListPredicate(java.lang.String thePredicate)

  Construct a predicate with name = '.' and which contains no arguments.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005